/*
 * Scale Stack
 *
 * Copyright (C) 2010 Eric Day (eday@oddments.org)
 * All rights reserved.
 *
 * Use and distribution licensed under the BSD license. See the
 * COPYING file in the root project directory for full text.
 */

/**
 * @file
 * @brief Echo Server Tests
 */

#include <ScaleStack/Common/Test.h>

TEST_SUITE_BEGIN

TEST_BEGIN(TestEchoServer)
  const char* test_port = "32123";
  core.addModuleOptionValue("EventService", "", TEST_EVENT_SERVICE);
  core.addModuleOptionValue("EchoServer", "ports", test_port);
  core.addModuleOptionValue("EchoServer::TestEchoServer", "port", test_port);
  core.setSignalHandlers();
  core.run();
TEST_END

TEST_SUITE_END
