/*
 * Scale Stack
 *
 * Copyright (C) 2010 Eric Day (eday@oddments.org)
 * All rights reserved.
 *
 * Use and distribution licensed under the BSD license. See the
 * COPYING file in the root project directory for full text.
 */

/**
 * @file
 * @brief TestOption Module Definitions
 */

#include "config.h"

#include <ScaleStack/Kernel/Module.h>
#include <ScaleStack/Kernel/Option.h>

using namespace ScaleStack;

static void options(Kernel::Module& module)
{
  module.addOption("Option1", "Help1", "Bool1", "True");
  module.addOption("Option1", "Help1", "Bool1", "True");
}

SCALESTACK_KERNEL_MODULE(options, NULL, NULL, NULL, NULL);
